
package typo.random;

import java.io.*;
import java.util.*;

import java_cup.runtime.Symbol;

import typo.parse.*;
import typo.term.*;

/** Given a filename, reads in the term in that file, and prints
 * the distribution of possible values of what that term
 * reduces to. */
class DistApp {

  static public void main(String[] args) throws Exception {

    Term x = new ParseOne(new FileReader(args[0])).value;
    Dist d = new Dist(x);

    do {
      System.out.println();
      System.out.println(d);
      d.simplify();
    }
    while (d.expand());

    d.simplify();
    System.out.println();
    System.out.println(d);
  }
}

