package typo.term;

/** An entry in a distribution.  Consists of a probability,
 * and a term. */
public class DistEntry {

  /** The log probability of this entry. */
  public double p;

  /** The term. */
  public Term x;

  /** Constructor. */
  public DistEntry(double p, Term x) {
    this.p = p; this.x = x;
  }

  public String toString() {
    return p + " : " + x.toString() + "\n";
  }
}

