package typo.term;

/** Used for the "Visitor pattern" with Terms. */
interface TermVisitor {
  void var(String name);
  void app(Term rator, Term rand);
  void lambda(Var x, Term a, Term s);

  void equal(Term a, Term b);
  void constant(String name);

  void flip(double p);
}

