; tests.

(load "dist.scm")

(dist_eval '() '#f)
(dist_eval '() "z")
(dist_eval '() '(lambda (x) x))
(dist_eval '() '(if #f #f #f))
(dist_eval '() '(if #t (if #f #t #t) #f))
(dist_eval '((a . (lambda (x y) y))) 'a)

; tests using flip
(dist_eval '() '(flip 0.3))
(dist_eval '((x . (flip 0.7))
	(y . (flip 0.3))
	(z . (flip 0.2)))
      'y)
(dist_eval '() '(if (flip 0.4) "a" "b"))
(dist_eval '() '(if #t (if (flip 0.5) "p" "q") #f))
(dist_eval '((x . y)
	(y . z)
	(z . (flip 0.3)))
      'x)

(dist_eval '() '((lambda (x) x) "z"))
(dist_eval '() '((lambda (x) x) (flip 0.3)))


(load "alarm.scm")

(define basics
  '((not . (lambda (a) (if a #f #t)))
    (and . (lambda (a b) (if a b #f)))
    (or . (lambda (a b) (if a #t b)))
    (implies . (lambda (a b) (if a b #t)))
    (iff . (lambda (a b) (if a b (not b))))

))

		
(dist_eval basics '(not #f))
(dist_eval basics '(not (not #f)))
(dist_eval basics '(if #f #f #t))
(dist_eval basics '(implies #f #t))
(dist_eval basics '(iff #f #f))

(dist_eval alarm_network 'mary)
(dist_eval alarm_network 'burglar)
(dist_eval alarm_network 'earthquake)
(dist_eval alarm_network 'alarm)

;(dist_eval (append basics alarm_network)
;      '(if earthquake
;	   (if alarm "e_and_a" "e_and_not_a")
;	   (if alarm "not_e_and_a" "not_e_and_not_a")))

;(dist_eval (append basics alarm_network)
;      '(and earthquake burglar))

; this should be always true!!!
(dist_eval (append basics alarm_network) '(iff burglar burglar))

;(dist_eval (append basics alarm_network)
;      '(and alarm (and burglary earthquake)))
;(dist_eval (append basics alarm_network)
;      '(and (not alarm) (and burglary earthquake)))
